Grace and redemption periods

redemptionPeriod

The domain expired and was deleted; it can be restored for 30 days.

EPP status
redemptionPeriod
RDAP status
redemption period
Set by
Registry system

What it means

The domain no longer resolves. Only the previous registrant can restore it, through a registrar, for a restore fee.

What you can do

Contact your registrar immediately and ask for a restore (RGP restore).

Related codes

EPP statuses are defined in RFC 5731 and RFC 3915; RFC 8056 maps them to RDAP.